Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface EmailControl

All Superinterfaces:
  com.bea.control.Control, weblogic.jws.control.Control, Serializable

public interface EmailControl
extends weblogic.jws.control.Control

Email control base interface. The Email control sends e-mail to the specified list of recepients.

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Field Summary
`static String` | `ATTR_ATTACHMENTS`
`static String` | `ATTR_BCC`
`static String` | `ATTR_BODY`
`static String` | `ATTR_CC`
`static String` | `ATTR_CONTENTTYPE`
`static String` | `ATTR_FROM_ADDRESS`
`static String` | `ATTR_FROM_NAME`
`static String` | `ATTR_HEADER_ENCODING`
`static String` | `ATTR_PASSWORD`
`static String` | `ATTR_PASSWORD_ALIAS`
`static String` | `ATTR_REPLY_TO_ADDRESS`
`static String` | `ATTR_REPLY_TO_NAME`
`static String` | `ATTR_SMTP_ADDRESS`
`static String` | `ATTR_SUBJECT`
`static String` | `ATTR_TO`
`static String` | `ATTR_USERNAME`
`static String` | `TAG_EMAIL` The email tag used to define email control attributes.
`static String` | `TAG_SEND` The @jbc:email tag is used to annotate a JBCX method that provides a convenient template for sending email.

Method Summary
`com.bea.wli.control.dynamicProperties.EmailControlPropertiesDocument` | `getProperties()` Get the properties set for this control.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.EmailControlPropertiesDocument xmlProp)` Sets the dynamic properties for the control.

Field Detail

### TAG_EMAIL

    public static final String TAG_EMAIL

  The email tag used to define email control attributes.

  See Also:
    Constant Field Values

### ATTR_USERNAME

    public static final String ATTR_USERNAME

See Also:
  Constant Field Values

### ATTR_PASSWORD

    public static final String ATTR_PASSWORD

See Also:
  Constant Field Values

### ATTR_PASSWORD_ALIAS

    public static final String ATTR_PASSWORD_ALIAS

See Also:
  Constant Field Values

### ATTR_SMTP_ADDRESS

    public static final String ATTR_SMTP_ADDRESS

See Also:
  Constant Field Values

### ATTR_FROM_NAME

    public static final String ATTR_FROM_NAME

See Also:
  Constant Field Values

### ATTR_FROM_ADDRESS

    public static final String ATTR_FROM_ADDRESS

See Also:
  Constant Field Values

### ATTR_REPLY_TO_NAME

    public static final String ATTR_REPLY_TO_NAME

See Also:
  Constant Field Values

### ATTR_REPLY_TO_ADDRESS

    public static final String ATTR_REPLY_TO_ADDRESS

See Also:
  Constant Field Values

### ATTR_HEADER_ENCODING

    public static final String ATTR_HEADER_ENCODING

See Also:
  Constant Field Values

### TAG_SEND

    public static final String TAG_SEND

  The @jbc:email tag is used to annotate a JBCX method that provides a convenient template for sending email.

  See Also:
    Constant Field Values

### ATTR_TO

    public static final String ATTR_TO

See Also:
  Constant Field Values

### ATTR_CC

    public static final String ATTR_CC

See Also:
  Constant Field Values

### ATTR_BCC

    public static final String ATTR_BCC

See Also:
  Constant Field Values

### ATTR_SUBJECT

    public static final String ATTR_SUBJECT

See Also:
  Constant Field Values

### ATTR_BODY

    public static final String ATTR_BODY

See Also:
  Constant Field Values

### ATTR_ATTACHMENTS

    public static final String ATTR_ATTACHMENTS

See Also:
  Constant Field Values

### ATTR_CONTENTTYPE

    public static final String ATTR_CONTENTTYPE

See Also:
  Constant Field Values

Method Detail

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.EmailControlPropertiesDocument xmlProp)

  Sets the dynamic properties for the control.

  Parameters:
    `xmlProp` - the dynamic properties for the control.

### getProperties

    public com.bea.wli.control.dynamicProperties.EmailControlPropertiesDocument getProperties()

  Get the properties set for this control.

  Returns:
    the dynamic properties for the control. NULL if the control has not been initialized yet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD